Results 1 to 5 of 5

Thread: "Archive" has no .zip utility

  1. #1

    Unhappy "Archive" has no .zip utility

    Whenever I go to a file and choose "Compress > as zip archive" I get the following error message: "Failed to locate program 'zip' in PATH"

    What is wrong? I really need to be able to zip up my files because of the work I do (I make 3D models for "SweetHome 3D" and the files must be in .zip format).

    This just disappoints me because SuSE 10.0 came with it and I was able to use it with no trouble at all.

    I'm using OpenSuSE 11.2 now with KDE 4.3.5 and the Ark tool that was installed is: 2.13
    Last edited by gymnart; 24-Aug-2010 at 12:38. Reason: added utility version info

  2. #2
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default Re: "Archive" has no .zip utility

    gymnart wrote:

    >
    > Whenever I go to a file and choose "Compress > as zip archive" I get the
    > following error message: "Failed to locate program 'zip' in PATH"
    >

    What about

    sudo zypper in zip

    ? It clearly tells you what the problem is, zip is not there, so simply
    install it. ;-)

    --
    openSUSE 11.2 64 bit | Intel Core2 Quad Q8300@2.50GHz | Gnome 2.28 | GeForce
    9600 GT | 4GB Ram
    openSUSE 11.3 64 bit | Intel Core2 Duo T9300@2.50GHz | Gnome 2.30 | Quadro
    FX 3600M | 4GB Ram


  3. #3

    Default Re: "Archive" has no .zip utility

    N/M. I managed to fix this myself. I wish I could delete the post.

  4. #4
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: "Archive" has no .zip utility

    gymnart wrote:
    > Whenever I go to a file and choose "Compress > as zip archive" I get the
    > following error message: "Failed to locate program 'zip' in PATH"
    >
    > What is wrong? I really need to be able to zip up my files because of
    > the work I do (I make 3D models for "SweetHome 3D" and the files must be
    > in .zip format).
    >
    > This just disappoints me because SuSE 10.0 came with it and I was able
    > to use it with no trouble at all.
    >
    > I'm using OpenSuSE 11.2 now.
    >
    >


    well, when you say "whenever i go to a file and choose 'Compress'" how
    are you going to the file? in what program, what operating system and
    what desktop environment?

    whatever you are using it seems to be looking for an executable named
    zip....are you certain such is installed on your system?

    do this in a terminal to see if it, in fact, exist in the path:

    Code:
    which zip
    if which does not find a zip in your path, then open YaST, go Software
    > Software Management, search for zip, left click to mark it for

    install, then click Accept..

    then try your zip operation again...if it doesn't work do the
    following in a terminal, one line at a time:

    Code:
    which zip
    echo $PATH
    su -
    echo $PATH
    and, copy paste the output back to here

    --
    DenverD
    CAVEAT: http://is.gd/bpoMD [posted via NNTP w/openSUSE 10.3]

  5. #5

    Default Re: "Archive" has no .zip utility

    Thanks for your prompt replies guys! You're the best! ^_^

    Yes, apparently the zip utility was not installed. I found it and installed it.

    Now, do either of you know anything about Kino? If so, reply to this post: Kino - MPEG tab greyed out

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •